<?php
/**
 * File responsible for defining the event category strings.
 *
 * @package ActivityPub_Event_Bridge
 * @since 1.0.0
 * @license AGPL-3.0-or-later
 */

namespace ActivityPub_Event_Bridge;

define(
	'ACTIVITYPUB_EVENT_BRIDGE_EVENT_CATEGORIES',
	array(
		'ARTS'                          => __( 'Arts', 'activitypub-event-bridge' ),
		'BOOK_CLUBS'                    => __( 'Book clubs', 'activitypub-event-bridge' ),
		'BUSINESS'                      => __( 'Business', 'activitypub-event-bridge' ),
		'CAUSES'                        => __( 'Causes', 'activitypub-event-bridge' ),
		'COMEDY'                        => __( 'Comedy', 'activitypub-event-bridge' ),
		'CRAFTS'                        => __( 'Crafts', 'activitypub-event-bridge' ),
		'FOOD_DRINK'                    => __( 'Food & Drink', 'activitypub-event-bridge' ),
		'HEALTH'                        => __( 'Health', 'activitypub-event-bridge' ),
		'MUSIC'                         => __( 'Music', 'activitypub-event-bridge' ),
		'AUTO_BOAT_AIR'                 => __( 'Auto, boat and air', 'activitypub-event-bridge' ),
		'COMMUNITY'                     => __( 'Community', 'activitypub-event-bridge' ),
		'FAMILY_EDUCATION'              => __( 'Family & Education', 'activitypub-event-bridge' ),
		'FASHION_BEAUTY'                => __( 'Fashion & Beauty', 'activitypub-event-bridge' ),
		'FILM_MEDIA'                    => __( 'Film & Media', 'activitypub-event-bridge' ),
		'GAMES'                         => __( 'Games', 'activitypub-event-bridge' ),
		'LANGUAGE_CULTURE'              => __( 'Language & Culture', 'activitypub-event-bridge' ),
		'LEARNING'                      => __( 'Learning', 'activitypub-event-bridge' ),
		'LGBTQ'                         => __( 'LGBTQ', 'activitypub-event-bridge' ),
		'MOVEMENTS_POLITICS'            => __( 'Movements and politics', 'activitypub-event-bridge' ),
		'NETWORKING'                    => __( 'Networking', 'activitypub-event-bridge' ),
		'PARTY'                         => __( 'Party', 'activitypub-event-bridge' ),
		'PERFORMING_VISUAL_ARTS'        => __( 'Performing & Visual Arts', 'activitypub-event-bridge' ),
		'PETS'                          => __( 'Pets', 'activitypub-event-bridge' ),
		'PHOTOGRAPHY'                   => __( 'Photography', 'activitypub-event-bridge' ),
		'OUTDOORS_ADVENTURE'            => __( 'Outdoors & Adventure', 'activitypub-event-bridge' ),
		'SPIRITUALITY_RELIGION_BELIEFS' => __( 'Spirituality, Religion & Beliefs', 'activitypub-event-bridge' ),
		'SCIENCE_TECH'                  => __( 'Science & Tech', 'activitypub-event-bridge' ),
		'SPORTS'                        => __( 'Sports', 'activitypub-event-bridge' ),
		'THEATRE'                       => __( 'Theatre', 'activitypub-event-bridge' ),
		'MEETING'                       => __( 'Meeting', 'activitypub-event-bridge' ), // Default value in federation.
		'DEFAULT'                       => __( 'Default', 'activitypub-event-bridge' ), // Internal default for overrides.
	),
);
